Name:           man-pages
Version:        5.02
Release:        6
Summary:        Linux kernel and user-space C library interfaces documentation
License:        GPL+ and GPLv2+ and BSD and MIT and Copyright only and IEEE
URL:            http://www.kernel.org/doc/man-pages/
Source0:        http://www.kernel.org/pub/linux/docs/man-pages/Archive/man-pages-%{version}.tar.xz
BuildRequires:  gcc git make
BuildArch:      noarch

Conflicts: attr < 2.4.47-11
Conflicts: keyutils-libs < 1.5.10

Autoreq: no

%description
The Linux man-pages project documents the Linux kernel and C library interface that
are employed by user-space programs.With respect to the C library, the primary focus is
the GNU C library (glibc), although, where known, documentation of variations on
other C libraries available for Linux is also included.

%prep
%autosetup -p1

%build

%install
make install DESTDIR=%{buildroot}

%check

%pre

%preun

%post

%postun

%files
%defattr(-,root,root)
%doc README man-pages-%{version}.Announce Changes
%{_mandir}/man*/*
%exclude %{_mandir}/man3/crypt.3.gz
%exclude %{_mandir}/man7/bpf-helpers.7.gz

%changelog
* Thu Dec 10 2020 shixuantong<shixuantong@huawei.com> - 5.02-6
- Modify Source0

* Wed Apr 8 2020 openEuler Buildteam <buildteam@openeuler.org> - 5.02-5
- Merge subpackages into main package

* Mon Feb 17 2020 openEuler Buildteam <buildteam@openeuler.org> - 5.02-4
- Add necessary BuildRequire

* Mon Jan 13 2020 openEuler Buildteam <buildteam@openeuler.org> - 5.02-3
- Delete useless files.

* Tue Sep 03 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.02-2
- remove conflictive man files

* Tue Sep 03 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.02-1
- Package init
